using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Collections.Generic;
using System.ComponentModel;
using Eloquera.Client;
namespace digioz
{
    public class User
    {
        private int ciUserID;
        private string csUsername;
        private string csPassword;
        private string csPasswordEncrypted;
        private string csPermission;
        private string csEmail;//PULKIT
        private bool csIsSuperUser;

        public User()
        { }
        [Index]
        public int ID
        {
            get { return ciUserID; }
            set { ciUserID = value; }
        }

        public string Username
        {
            get { return csUsername; }
            set { csUsername = value; }
        }
        [Ignore]
        public string Password
        {
            get { return csPassword; }
            set { csPassword = value; }
        }

        public string PasswordEncrypted
        {
            get { return csPasswordEncrypted; }
            set { csPasswordEncrypted = value; }
        }

        public string Permission
        {
            get { return csPermission; }
            set { csPermission = value; }
        }
        [Ignore]
        public string Email
        {
            get { return csEmail; }
            set { csEmail = value; }
        }
        [Ignore]
        public bool IsSuperUser
        {
            get { return csIsSuperUser; }
            set { csIsSuperUser = value; }
        }
    }

    public class UserList : BindingList<User>
    {
        public UserList()
        { }
    }
}